org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class RegexAsStringFunctionOptimizer.RegexAsStringFunctionVisitor

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.query.algebra.evaluation.impl.RegexAsStringFunctionOptimizer.RegexAsStringFunctionVisitor

- All Implemented Interfaces:
    QueryModelVisitor<RuntimeException>
  Enclosing class:
    RegexAsStringFunctionOptimizer

      protected class RegexAsStringFunctionOptimizer.RegexAsStringFunctionVisitor
      extends AbstractQueryModelVisitor<RuntimeException>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RegexAsStringFunctionVisitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `meet(Regex node)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexAsStringFunctionVisitor

          protected RegexAsStringFunctionVisitor()

  - ### Method Detail

    - #### meet

          public void meet(Regex node)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.